Create an event with one allocation
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/create_with_allocation \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"event": {},
"allocation": {
"space_id": "<string>",
"resource_id": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"buffer_before_min": 123,
"buffer_after_min": 123,
"status": "<string>",
"metadata": {}
},
"experience_id": 123
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: {},
allocation: {
space_id: '<string>',
resource_id: '<string>',
start_at: '2023-11-07T05:31:56Z',
end_at: '2023-11-07T05:31:56Z',
title: '<string>',
buffer_before_min: 123,
buffer_after_min: 123,
status: '<string>',
metadata: {}
},
experience_id: 123
})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/create_with_allocation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/create_with_allocation"
payload = {
"event": {},
"allocation": {
"space_id": "<string>",
"resource_id": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"buffer_before_min": 123,
"buffer_after_min": 123,
"status": "<string>",
"metadata": {}
},
"experience_id": 123
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": 123,
"name": "<string>",
"description": "<string>",
"system_stage": "draft",
"custom_status": "<string>",
"customer_id": 123,
"event_manager_id": 123,
"conversation_id": 123,
"pax": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"pricing_plan_id": 123,
"experience_id": 123,
"event_label_id": 123,
"event_portal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_total_price": 123,
"custom_attributes": {},
"metadata": {},
"allocation_ids": [
"<string>"
],
"access_level": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{}Planning Events
Create an event with one allocation
Create a planning event and a single space allocation in one request.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
planning
/
events
/
create_with_allocation
Create an event with one allocation
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/create_with_allocation \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"event": {},
"allocation": {
"space_id": "<string>",
"resource_id": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"buffer_before_min": 123,
"buffer_after_min": 123,
"status": "<string>",
"metadata": {}
},
"experience_id": 123
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: {},
allocation: {
space_id: '<string>',
resource_id: '<string>',
start_at: '2023-11-07T05:31:56Z',
end_at: '2023-11-07T05:31:56Z',
title: '<string>',
buffer_before_min: 123,
buffer_after_min: 123,
status: '<string>',
metadata: {}
},
experience_id: 123
})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/create_with_allocation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/create_with_allocation"
payload = {
"event": {},
"allocation": {
"space_id": "<string>",
"resource_id": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"buffer_before_min": 123,
"buffer_after_min": 123,
"status": "<string>",
"metadata": {}
},
"experience_id": 123
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": 123,
"name": "<string>",
"description": "<string>",
"system_stage": "draft",
"custom_status": "<string>",
"customer_id": 123,
"event_manager_id": 123,
"conversation_id": 123,
"pax": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"pricing_plan_id": 123,
"experience_id": 123,
"event_label_id": 123,
"event_portal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_total_price": 123,
"custom_attributes": {},
"metadata": {},
"allocation_ids": [
"<string>"
],
"access_level": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
Response
Created
Available options:
draft, inquiry, confirmed, completed, lost, archived